<?php
include '../comunes_php/cors.php';
include '../rdb/conn.php';
include "../comunes_php/Log.class.php"; 
    
    $log = new Log("app_trace", "./");
    $parametros = print_r($_REQUEST,TRUE); 
    $log->insert($parametros, false, false, false);


   

    $TipoProducto= isset($_REQUEST['TipoProducto']) ? $_REQUEST['TipoProducto'] : '';
    $Fabrica= isset($_REQUEST['Fabrica']) ? $_REQUEST['Fabrica'] : '';

    if ($TipoProducto <>'') {$where .= " and tipo_producto_id in ($TipoProducto) "; }
    if ($Fabrica <>'') {$where .= " and fabrica_id in ($Fabrica) "; }

    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();


$sql = "select "
    . "count(*) "
    . "from"
    . " productos where 1 ";
$sql.= $where ;
    

    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    $log->insert($sql, false, false, false);
	    
    if ($result["total"] === 0) {exit;}  
    
$sql = "select
                                id,
                                nombre,
                                codigo,
                                tipo_producto_id,
                                (select nombre from tipo_producto where id= p.tipo_producto_id  )tipo,
                                tamano,
                                descripcion,
                                (SELECT precio_financiado FROM `precio_productos` WHERE isnull(fecha_fin) and producto_id=p.id) precio_tarjeta,
                                (SELECT precio FROM `precio_productos` WHERE isnull(fecha_fin) and producto_id=p.id) precio_contado,
                                fabrica_id,
                                (select nombre from fabricas where id=p.fabrica_id) fabrica,
                                (select count(*) from adicionales_por_producto where producto_id=p.id) adicionales,
                                (select sum(cantidad) from producto_materia_prima where producto_id=p.id) componentes
                                from productos p  where 1 ";
    
	$sql.=  $where;
	$sql.= " order by id desc"; //limit $offset,$rows ";	
	$rs = mysqli_query( $conn,$sql);
    $log->insert($sql, false, false, false);
	    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;


    echo json_encode($result);
    
  
    
?>